package Classes;

import Interfaces.Learner;

public class Student extends Person implements Learner {

    private double totalStudyTime;


    public Student() {
        super("",0);
    }
    public Student(String name, long id) {
        super(name,id);
    }

    @Override
    public void learn(double numberOfHours) {

        totalStudyTime += numberOfHours;
    }

    public double getTotalStudyTime() {

        return totalStudyTime;
    }

    public void setTotalStudyTime(double totalStudyTime) {
        this.totalStudyTime = totalStudyTime;
    }
}
