package ConfigClasses;

import Classes.*;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.DependsOn;

public class ClassroomConfig {

    private Student [] student = new Student[0];
    private Instructor[] instructors = new Instructor[0];

    @Bean
    @DependsOn(value = {"instructors","students"})
    public Classroom currentCohort(){
        return new Classroom(new Instructors(instructors),new Students(student));
    }

    @Bean
    @DependsOn(value = {"instructors","previousStudents"})
    public Classroom previousCohort(){
        return new Classroom(new Instructors(instructors),new Students(student));
    }

}
